/*
	Student Name: Natalie DeFrates
	File Name: styles.css for Project
	Date: Dec 3, 2025
*/
header, body, nav, footer, img, h1, ul, figure {
    margin: 0;
    padding: 0;
    border: 0;
}  

section{
    margin: 0% auto;
    padding: 2%;
    max-width: 75%;
    background-size: cover;
}

main{
    margin: 2% auto;
    padding: 2%;
    max-width: 75%;
    background-color: white;
}

/**************** Style rules for mobile viewport*****************/

/* Style rule to hide tab-desk class */
.tab-desk {
    display: none;
}
/* Style rules for header content */
   header {
    border-color: #134590;
    font-family: 'EB Garamond', 'Crete Round', 'Garamond';
    font-size: 2em;
    margin-top: 0.5em;
}

h1{
    text-align: center;
    font-family: 'EB Garamond', 'Crete Round', 'Garamond';
    font-weight: bold;
    color:whitesmoke;
    margin:0 auto;
}
h2{
    text-align: center;
    font-family: 'EB Garamond','Crete Round', 'Garamond';
    font-weight: bold;
    color:#134590;
}
h3{
    text-align: center;
    font-family: 'EB Garamond', 'Crete Round', 'Garamond';
    font-weight: bold;
    color:#030B17;
    margin:0 auto;
}
h4{
    text-align: left;
    font-family: 'EB Garamond','Crete Round', 'Garamond';
    font-weight: bold;
    color:#2572E6;
}

/* Style rule for hero image*/
#hero {
    position: -webkit-sticky center;
    display: flex;
    margin: 0% auto;
    clear: center;
    padding: 2%;
    max-width:75%;
    max-height:75%;
}

/* Style rules for navigation area */
nav{
	width: 75%;
	padding:10px;
	margin:0 auto;/*centers the layout in browser*/
}

nav ul {
    list-style-type: none;
    margin:0 auto;
	list-style:none;
	text-align: center;
	background-color: #93959A;
}

nav li {
    font-size: 1.5em;
    font-family: 'EB Garamond', 'Crete Round', 'Garamond';
    font-weight: bold;
    color:#030B17;
    margin:0 auto;
    border-top: 1px solid #2572E6;
    border-bottom: #2572E6 solid 1px;
    display:inline-block;
    margin:0 auto;
}

/*nav li:hover {
    background-color: #134590;
    color:#E8F0FC;
}*/

nav li a {
    display: block;
    color: #030B17;
    text-align: center;
    padding: 0.5em 1em;
    text-decoration: none;
} 

/* Style rules for main content */
body{
    background-image: url("images/texture-denim-jeans-background-high-resolution_808337-19991.jpg");
    background-size: cover;
    background-attachment: fixed;
}

p {
    color: black;
    text-wrap: balance;
    font-size:medium;
    font-family: 'EB Garamond', 'Crete Round', 'Garamond';
    text-align: center;
    font-size: 1em;
}

 ul {
    list-style-type: square;
    margin: 10%;
}


img{
    position: -webkit-sticky center;
    width: 100%;
    border: #134590 solid 2px;
    height:85%;
    display: block;
    margin: 0 auto;
}

table {
  font-family: "EB Garamond", "Crete Round", "Garamond", serif;
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border: 1px solid #134590;
  background-image: url(images/denim.webp);
  color: #E8F0FC;
  text-align: center;
  padding: 8px;
}

.round {
    border-radius: 75%;
}

.button {
  padding: 16px 32px;
  text-align: center;
  text-decoration: none;
  display: flex;
  flex-direction: column;
  /*position: center;*/
  font-size: 16px;
  margin: 0 auto;
  border-radius: 4px;
  transition-duration: 0.4s;
  cursor: pointer;
  background-color: #030B17;
  color: whitesmoke;
  border: 2px solid ;
}

.button:hover {
  background-color: #134590;
  color: white;
  box-shadow:0 8px 16px 0 rgba(0,0,0,0.6)
}

#pamper, #full, #basic {
    margin: 0 2%;
}

/* Style rules for footer content */
footer {
    text-align: center;
    font-size: 0.85em;
    width: 75%;
    color: whitesmoke;
    font-weight: bold;
    background-color: #030B17;
    padding:10px;
	margin:0 auto;/*centers the layout in browser*/
}

/**************** Style rules for tablet and desktop viewport*****************/
/* Media Query for Desktop Viewport */
@media screen and (min-width:1024px), print{
    
    /* Desktop Viewport: Show tab-desk class, hide mobile class */
    .tablet-desktop {
        display: block;
    }

    .mobile {
        display: none;
    }
    
   header {
    text-align: center;
    border-color: #134590;
    font-family: 'EB Garamond', 'Crete Round', 'Crete Round', 'Garamond';
    font-size: 2em;
    margin-top: 0.5em;
}

h1{
    text-align: center;
    font-family: 'EB Garamond', 'Crete Round', 'Garamond';
    font-weight: bold;
    color:whitesmoke;
    margin:0 auto;
}
h2{
    text-align: center;
    font-family: 'EB Garamond','Crete Round', 'Garamond';
    font-weight: bold;
    color:#134590;
}
h3{
    text-align: center;
    font-family: 'EB Garamond','Crete Round', 'Garamond';
    font-weight: bold;
    color:#93959A;
    margin:0 auto;
}
h4{
    text-align: left;
    font-family: 'EB Garamond','Crete Round', 'Garamond';
    font-weight: bold;
    color:#2572E6;
}

/* Style rules for navigation area */
nav{
	width: 75%;
	padding:10px;
	margin:0 auto;/*centers the layout in browser*/
}

nav ul {
    list-style-type: none;
    margin:0 auto;
	list-style:none;
	text-align: center;
	background-color: #93959A;
}

nav li {
    font-size: 1.5em;
    font-family: 'EB Garamond', 'Crete Round', 'Garamond';
    font-weight: bold;
    color:#030B17;
    margin:0 auto;
    border-top: 1px solid #2572E6;
    border-bottom: #2572E6 solid 1px;
    border-left: #93959A solid 1px;
    border-right: #93959A solid 1px;
    display:inline-block;
    margin:0 auto;
}

nav li:hover {
    background-color: #134590;
    color:#E8F0FC;
}

nav li a {
    display: block;
    color: #030B17;
    text-align: center;
    padding: 0.5em 1em;
    text-decoration: none;
}

/* Style rule for hero image*/
#hero {
    position: -webkit-sticky center;
    display: flex;
    margin: 0% auto;
    clear: center;
    padding: 2%;
    max-width:75%;
    max-height:75%;
}

/* Style rules for main content */
body{
    background-image: url("images/texture-denim-jeans-background-high-resolution_808337-19991.jpg");
    background-size: cover;
    background-attachment: fixed;
}

p {
    color: black;
    text-wrap: balance;
    font-size:medium;
    font-family: 'EB Garamond', 'Crete Round', 'Garamond';
    text-align: center;
    font-size: 1em;
}

 ul {
    list-style-type: round;
    margin: 10%;
    background: #E8F0FC;
    padding: 20px;
}


img{
    position: -webkit-sticky center;
    width: 100%;
    border: #134590 solid 2px;
    height:85%;
    display: block;
    margin: 0 auto;
}

.round {
    border-radius: 75%;
}

.button {
  padding: 16px 32px;
  text-align: center;
  text-decoration: none;
  display: flex;
  flex-direction: column;
  /*position: center;*/
  font-size: 16px;
  margin: 4px 2px;
  transition-duration: 0.4s;
  cursor: pointer;
  background-color: #030B17;
  color: whitesmoke;
  border: 2px solid ;
}

.button:hover {
  background-color: #134590;
  color: white;
}

#pamper, #full, #basic {
    margin: 0 2%;
}

    /* Desktop Viewport: Style rules for main content */
    #pamper, #full, #basic {
        width:29%;
        float:left;
        margin: 0 2%;
    }
footer {
    text-align: center;
    font-size: 0.85em;
    color: #93959A;
    font-weight: bold;
    background-color: #030B17;
    padding:10px;
	margin:0 auto;/*centers the layout in browser*/
}


@media screen and (min-width:1920px), print {
    
    /* Desktop Viewport: Show tab-desk class, hide mobile class */
.tablet-desktop {
        display: block;
}

.mobile {
        display: none;
}

header {
    border-color: #134590;
    font-family: 'EB Garamond', 'Crete Round', 'Garamond';
    font-size: 2em;
    margin-top: 0.5em;
}

h1{
    text-align: center;
    font-family: 'EB Garamond', 'Crete Round', 'Garamond', serif;
    font-weight: bold;
    color:whitesmoke;
    margin:0 auto;
}
h2{
    text-align: center;
    font-family: 'EB Garamond','Crete Round', 'Garamond';
    font-weight: bold;
    color:#134590;
}
h3{
    text-align: center;
    font-family: 'EB Garamond', 'Crete Round', 'Garamond';
    font-weight: bold;
    color:whitesmoke;
    margin:0 auto;
}
h4{
    text-align: center;
    font-family: 'EB Garamond','Crete Round', 'Garamond';
    font-weight: bold;
    color:#2572E6;
}

/* Style rule for hero image*/
#hero {
    position: -webkit-sticky center;
    display: flex;
    margin: 0% auto;
    clear: center;
    padding: 2%;
    max-width:85%;
    max-height:85%;
}

/* Style rules for navigation area */
nav{
	width: 75%;
	padding:10px;
	margin:0 auto;/*centers the layout in browser*/
}

nav ul {
    list-style-type: none;
    margin:0 auto;
	list-style:none;
	text-align: center;
	background-color: #93959A;
}

nav li {
    font-size: 1.5em;
    font-family: 'EB Garamond', 'Crete Round', 'Garamond';
    font-weight: bold;
    color:#030B17;
    margin:0 auto;
    border-top: 1px solid #2572E6;
    display:inline-block;
    margin:0 auto;
}

nav li:hover {
    background-color: #134590;
    color:#E8F0FC;
}

nav li a {
    display: block;
    color: #030B17;
    text-align: center;
    padding: 0.5em 1em;
    text-decoration: none;
}

/* Style rules for main content */
body{
    background-image: url("images/texture-denim-jeans-background-high-resolution_808337-19991.jpg");
    background-size: cover;
    background-attachment: fixed;
}

p {
    color: black;
    text-wrap: balance;
    font-size:medium;
    font-family: 'EB Garamond', 'Crete Round', 'Garamond';
    text-align: center;
    font-size: 1em;
}

 ul {
    list-style-type: square;
    margin: 10%;
}


img{
    position: -webkit-sticky center;
    width: 100%;
    border: #134590 solid 2px;
    height:85%;
    display: block;
    margin: 0 auto;
}

.round {
    border-radius: 75%;
}

.button {
  padding: 16px 32px;
  text-align: center;
  text-decoration: none;
  display: flex;
  flex-direction: column;
  /*position: center;*/
  font-size: 16px;
  margin: 4px 2px;
  transition-duration: 0.4s;
  cursor: pointer;
  background-color: #030B17;
  color: whitesmoke;
  border: 2px solid ;
}

.button:hover {
  background-color: #134590;
  color: white;
}

#pamper, #full, #basic {
    margin: 0 2%;
}

footer {
    text-align: center;
    font-size: 0.85em;
    color: #93959A;
    font-weight: bold;
    background-color: #030B17;
    padding:10px;
	margin:0 auto;/*centers the layout in browser*/
}
}
}